
from lib.api.objects import *

import re

def useragentfilter(session):
  u = session.useragent
  session.browser = "Unknown Browser"
  session.os = "Unknown OS"
  
  for regex, b in [("Firefox/([0-9.]+)",            "Firefox"),      # TODO to be completed
                   ("MSIE\s([0-9.]+)",              "IE"),
                   ("Chrome/([0-9.]+)",             "Chrome"),
                   ("Opera/([0-9.]+)",              "Opera"),
                   ("Epiphany/([0-9.]+)",           "Epiphany"),
                   ("Iceweasel/([0-9.]+)",          "Iceweasel"),
                   ("Version/([^ ]+).+Safari/",  "Safari"),
                   ] :
    r = re.compile(regex).search(u)
    if(r is not None):
      session.browser = b + " " + r.group(1)
      break
  
  for regex, o in [("Windows NT 5\.1",   "Windows XP"),      # TODO to be completed
                   ("Windows NT 6\.1",   "Windows Vista"),
                   ("Debian",            "Debian Linux"),
                   ("Linux",             "Linux"),
                   ] :
    r = re.compile(regex).search(u)
    if(r is not None):
      session.os = o
      break
  
  return session
  