<?php

/**
 * @class InstructionFetchRPC
 * @brief Instruction fetch RPC Handler
 */
class InstructionFetchRPC extends RPC {

  /**
   * @brief Get the RPC parameters. This specific service doesn't use any parameter.
   * @param $get_array GET array
   * @param $post_array POST array
   * @return parameter object
   */
  protected function fetchParams($get_array, $post_array) {
    return new stdClass();
  }


  /**
   * @brief Handle the request
   */
  public function handleRequest() {
  
    //Set the content-type
    @header("Content-type: application/x-javascript");
  
    //Fetch and retrieves next instructions
    $instructions = $this->session->getNextInstructions();
    foreach($instructions as $i){
      echo $i->getJSCode();
    } 
    
  }

}

?>