
class XeekException(Exception):
  """The base class for client exceptions"""
  
  def __init__(self, msg):
    self._error_msg = msg

  def __str__(self):
    return self._error_msg
    
    
class XeekError(XeekException):
  """Exceptions used for errors"""
  
  def __init__(self, error_msg):
    XeekException.__init__(self, "Error: " + error_msg)
    