
from lib.api.result_filters import ResultFilter

class Filter(ResultFilter):

  def format_data_list(self):
    
    data = "Error"
    if self.result is not None and type(self.result.data) == type(dict()) and not 'error' in self.result.data:
      status = ""
      if(int(self.result.data['status']) != 200):
        status = self.result.data['status'] + " - "
      
      data = status
      
      if('title' in self.result.data):
        data += self.result.data['title']
    
    return data
  